package com.huigou.topsun.sap.purchase.application;

import com.huigou.topsun.sap.purchase.domain.SapPurchaseItem;
import com.huigou.topsun.sap.purchase.domain.query.SapPurchaseItemQueryRequest;

import java.util.List;
import java.util.Map;

/**
 * @Auther: xin.lu
 * @Date: 2023/12/27/17:12
 * @Description:
 */
public interface SapPurchaseItemApplication {
    public static final String QUERY_XML_FILE_PATH = "config/topsun/sap/sapPurchase/sapPurchaseItem.xml";
    void saveSapPurchaseItems(String sapPurchaseId, List<SapPurchaseItem> sapPurchaseItems);

    Map<String,Object> querySapPurchaseItems(SapPurchaseItemQueryRequest queryRequest);

    void deleteByIds(List<String> ids);

    List<SapPurchaseItem> findBySapPurchaseId(String sapPurchaseId);
}
